from django.db import models

from gauth.models import Location


class Staff(models.Model):
    name = models.CharField(max_length=255)
    total_units = models.DecimalField(default=0.0, max_digits=5, decimal_places=2)
    name_mentioned = models.IntegerField(default=0)
    location = models.ForeignKey(Location, on_delete=models.CASCADE)
    department = models.CharField(max_length=255, default='staff')
    nick_names = models.TextField(null=True, blank=True)

    def __str__(self):
        return f'{self.name} - {self.location}'

    @property
    def get_nick_names(self):
        return self.nick_names.split(',')
